Bug 737268

Summary: update gtest to 1.6.0 to cope with GCC 4.6
Product: [Fedora] Fedora Reporter: Felix Möller <mail>
Component: gtestAssignee: Terje Røsten <terjeros>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 19CC: ignatenko, terjeros
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-07 09:32:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Felix Möller 2011-09-10 13:30:44 UTC
Hi,

I experienced https://bugs.launchpad.net/unity/+bug/846395 while trying to build unity because gtest 1.5.0 seems not to be compatible with GCC 4.6.

Could it please be updated.

One has to look at http://code.google.com/p/googletest/source/detail?r=562.

Comment 1 Terje Røsten 2011-09-11 19:31:32 UTC
> One has to look at http://code.google.com/p/googletest/source/detail?r=562

""" # Disables 'make install' as installing a compiled version of Google
    # Mock can lead to undefined behavior due to violation of the 
    echo "'make install' is dangerous and not supported. 
           Instead, see README for how to integrate Google Mock into 
           your build system."
"""
 
Hm, this means gtest/gmock should be removed from Fedora?

Comment 2 Felix Möller 2011-09-11 20:00:05 UTC
I have no idea to be honest. 

But Ubuntu for example still has the package, see https://launchpad.net/ubuntu/oneiric/+source/gtest .

Comment 3 Terje Røsten 2011-09-11 20:16:33 UTC
Debian has removed the bins:

     As of this version upstream does not recommend using precompiled libraries
     so the package now only contains sources and includes. See the
     README.Debian file for instructions on how to build your own gmock
     library.

http://packages.debian.org/changelogs/pool/main/g/google-mock/google-mock_1.6.0-1/changelog

This is way forward it seems.

Comment 4 Fedora End Of Life 2012-08-07 20:05:28 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Fedora End Of Life 2013-04-03 19:45:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 6 Terje Røsten 2013-08-07 09:32:46 UTC
gtest 1.6.0 has been available for a while, gmock (1.6.0) is now a source/headers package only. Closing ticket.